---
lang: en
title: 'API docs: repository.defaultcrudrepository.toentities'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.repository.defaultcrudrepository.toentities.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [DefaultCrudRepository](./repository.defaultcrudrepository.md) &gt; [toEntities](./repository.defaultcrudrepository.toentities.md)

## DefaultCrudRepository.toEntities() method

<b>Signature:</b>

```typescript
protected toEntities(models: juggler.PersistedModel[]): T[];
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  models | <code>juggler.PersistedModel[]</code> |  |

<b>Returns:</b>

`T[]`


